import "./tasks/GVCFtyper.wdl" as GVCFtyper


workflow {{ project_name }} {

	File gvcf_files
	Array[File] gvcfs = read_lines(gvcf_files)
	File gvcf_idx_files
	Array[File] gvcf_idxs = read_lines(gvcf_idx_files)
	String SENTIEON_INSTALL_DIR
	String docker
	String project
	String fasta
	String chromo
	File ref_dir
	String disk_size
	String cluster_config


	call GVCFtyper.GVCFtyper as GVCFtyper {
		input:
		ref_dir=ref_dir,
		SENTIEON_INSTALL_DIR=SENTIEON_INSTALL_DIR,
		fasta=fasta,
		gvcfs=gvcfs,
		gvcf_idxs=gvcf_idxs,
		chromo=chromo,
		project=project,
		docker=docker,
		cluster_config=cluster_config,
		disk_size=disk_size
	}
}